Name: 		yafaray
Version: 	0.1.1
Release: 	%mkrel 1
Summary: 	YafaRay is a raytracing open source render engine
License: 	LGPL
Group: 		Graphics
Url: 		http://www.yafaray.org/
Packager:  	Dal Magro Maurizio <mauriziodm@mandrivaclub.be>

Source0: 	YafaRay.%version.zip
Source1: 	YafaRay-blender.%version.zip

# Automatically added by buildreq on Sun May 03 2009
BuildRequires:	libjpeg-devel
BuildRequires:	libz-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	scons
BuildRequires:  libpng-devel
BuildRequires:  libxml2-devel 
BuildRequires:  python-devel 
BuildRequires:	python-qt4-devel
BuildRequires:  swig
BuildRequires:  qt4-devel
BuildRequires:	qt4-linguist
BuildRequires:  zlib-devel 

Provides:       yafray
Obsoletes:      yafray

%description
Raytracing is a rendering technique for generating realistic images
by tracing the path of light through a 3D scene. An engine consists of
a computer program that interacts with a host 3D application to provide
very specific raytracing capabilties "on demand". Blender is the host
application of YafaRay.
YafaRay is a new raytracing render engine written from scratch,
and it replaces YafRay 0.0.9. After two years of development,
it already features a complete set of lighting
and rendering options.

%package blender
Summary: YafaRay export scripts for Blender
Group: Graphics

%description blender
Blender is the host application of YafaRay. You need this package
to use YafaRay directly from Blender.

%prep
%setup -n %{name}
%setup -T -D -a 1 -n %{name}

sed -i -e"s,/lib',/%{_lib}',g" config/linux2-config.py
sed -i -e"s,/lib/,/%{_lib}/,g" config/linux2-config.py
sed -i -e"s,WITH_YF_QT='false',WITH_YF_QT='true',g" config/linux2-config.py
sed -i -e"s|REL_CCFLAGS = '-O3 -ffast-math'|REL_CCFLAGS = '-ffast-math %{optflags}'|g" config/linux2-config.py
# fixes %%{buildroot} in libyafaraycore.so
sed -i -e"s,\$YF_LIBOUT,%{_libdir},g" tools/writeconfig.py
sed -i -e"s,\$YF_PLUGINPATH,%{_libdir}/%{name},g" tools/writeconfig.py
cat << EOF >> config/linux2-config.py
YF_QTDIR = '/usr/lib/qt4'
EOF

%build
scons build
scons swig

%install
rm -rf %{buildroot}
scons PREFIX=%{buildroot}%{_prefix} install

mkdir -p %{buildroot}%{_libdir}/blender/scripts/
mkdir -p %{buildroot}%{_libdir}/python2.6/site-packages/

pushd %{_builddir}/%{name}
cp -p bindings/python/yaf*.py \
    %{buildroot}%{_libdir}/blender/scripts/
cp -p bindings/python/_yaf*.so \
    %{buildroot}%{_libdir}/python2.6/site-packages/
cp -p yafaray-blender/yaf*.py \
    %{buildroot}%{_libdir}/blender/scripts/
popd

ln -s %{_libdir}/python2.6/site-packages/_yafqt.so --target-directory=%{buildroot}%{_libdir}/blender/scripts/
ln -s %{_libdir}/python2.6/site-packages/_yafrayinterface.so --target-directory=%{buildroot}%{_libdir}/blender/scripts/

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc CODING LICENSE INSTALL
%{_bindir}/%{name}-xml
%{_libdir}/%{name}/*.so
%{_libdir}/libyafaraycore.so

%files blender
%defattr(-, root, root)
%{_libdir}/blender/scripts/*
%{_libdir}/libyafarayqt.so
%{_libdir}/libyafarayplugin.so
%{_libdir}/python2.6/site-packages/_yaf*.so

%changelog
* Wed Nov 4 2009 Dal Magro Maurizio <mauriziodm@mandrivaclub.be>
- Build Mandriva 2010.0

* Wed Aug 5 2009 Dal Magro Maurizio <mauriziodm@mandrivaclub.be>
- New release 0.1.1

* Sat Jul 11 2009 Dal Magro Maurizio <mauriziodm@mandrivaclub.be> 0.1.0.315 rev 3
- Adding two symlink from %{_libdir}/python2.6/site-packages/_yaf*.so -> %{_libdir}/blender/scripts/

* Thu Jun 25 2009 Dal Magro Maurizio <mauriziodm@mandrivaclub.be> 0.1.0.315 rev 2
- Chaged %{_datadir}/blender/scripts/ -> %{_libdir}/blender/scripts/

* Sat Jun 20 2009  Dal Magro Maurizio <mauriziodm@mandrivaclub.be> 0.1.0.315
- Update version 0.1.0.315droot}}%{_libdir}/blender/scripts/yafaray
te
- Mandriva 2009.1 build yafaray-0.1.0.315-1mcnl2009.1
ln -s %{buildroot}%{_libdir}/python2.6/site-packages/_yafrayinterface.so %{buil